set time on;

set echo on;

set feedback 1;

spool /aplic/q02b/scripts/000alt_q022dt00_70010.lst;
SELECT TO_CHAR(SYSDATE,'DD-MM-YYYY:HH24:MI:SS') || 'INI 000alt_q022dt00_70010' from dual;
 
WHENEVER SQLERROR EXIT SQL.SQLCODE;
 
ALTER TABLE Q022DT00 MODIFY Q022DT00_NVN NUMBER (5);
ALTER TABLE Q022DT00 MODIFY Q022DT00_NVR NUMBER (5);
ALTER TABLE Q022DT00 ADD Q022DT00_NUMVIVFINALES NUMBER(6); 
ALTER TABLE Q022DT00 ADD Q022DT00_INDNUEPLREHAB NUMBER(6);
ALTER TABLE Q022DT00 ADD Q022DT00_INDREHABNUMVIV NUMBER(6);

COMMENT ON COLUMN "Q02B"."Q022DT00"."Q022DT00_NUMVIVFINALES" is 'Numero de viviendas finales de nueva planta';
COMMENT ON COLUMN "Q02B"."Q022DT00"."Q022DT00_INDNUEPLREHAB" is 'Indicador de vivienda de nueva planta o rehabilitacion';
COMMENT ON COLUMN "Q02B"."Q022DT00"."Q022DT00_INDREHABNUMVIV" is 'Indicador de rehabilitación si es elementos comunes o vivienda';

commit;
SELECT TO_CHAR(SYSDATE,'DD-MM-YYYY:HH24:MI:SS')  ||  'FIN 000alt_q022dt00_70010' from dual;

spool off;
set echo off;

exit;
